Account
External Web3 Get All
Request Body
application/jsonOptionalrecipient_idstringResponse Body
Successful response
TypeScript Definitions
Use the response body type in TypeScript.
dataRequiredarray<object>Error response
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X POST "/v1/account.external.web3.getAll" \
-H "Content-Type: application/json" \
-d '{
"recipient_id": "string"
}'const body = JSON.stringify({
"recipient_id": "string"
})
fetch("/v1/account.external.web3.getAll", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "/v1/account.external.web3.getAll"
body := strings.NewReader(`{
"recipient_id": "string"
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "/v1/account.external.web3.getAll"
body = {
"recipient_id": "string"
}
response = requests.request("POST", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text){
"data": [
{
"id": "string",
"created_at": "2019-08-24T14:15:22Z",
"type": "WEB3",
"is_active": true,
"metadata": {
"is_hidden": true,
"address": "string",
"type": "evm",
"nickname": "string",
"connector": {
"id": "string",
"name": "string",
"icon": "string"
},
"has_transactions": true
},
"account_id": "string",
"user_id": "string"
}
]
}{
"error": {
"code": "PARSE_ERROR",
"message": "string"
}
}